classification
Title: PEP 3121 --- module state is not nul-initalized as claimed in the PEP
Type: behavior Stage:
Components: Documentation, Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: _doublep, benjamin.peterson, christian.heimes, loewis
Priority: release blocker Keywords: patch

Created on 2008-08-30 15:14 by _doublep, last changed 2008-10-07 13:17 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
init.diff loewis, 2008-10-06 15:12
Messages (6)
msg72197 - (view) Author: Paul Pogonyshev (_doublep) Date: 2008-08-30 15:14
PEP 3121 states that: "The module state will be null-initialized".  This
is not the case as it seems.
msg73930 - (view) Author: Paul Pogonyshev (_doublep) Date: 2008-09-27 15:38
Ping.
msg73932 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-09-27 16:02
The state (md_state) is set to NULL in PyModule_New(name). However
PyModule_Create(mod) allocates memory iff the module size (m_size) isn't 0.
msg74376 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-10-06 15:12
Here is a patch that should fix this.
msg74390 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-10-06 20:18
I'm ok with that patch.
msg74445 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-10-07 13:17
Thanks! Committed as r66831
History
Date User Action Args
2008-10-07 13:17:03loewissetstatus: open -> closed
resolution: fixed
messages: + msg74445
2008-10-06 20:18:10benjamin.petersonsetkeywords: - needs review
nosy: + benjamin.peterson
messages: + msg74390
2008-10-06 15:12:16loewissetpriority: critical -> release blocker
keywords: + patch, needs review
messages: + msg74376
files: + init.diff
2008-09-27 16:02:39christian.heimessetpriority: critical
nosy: + christian.heimes
messages: + msg73932
components: + Documentation
2008-09-27 15:38:02_doublepsetmessages: + msg73930
2008-09-01 01:49:08benjamin.petersonsetassignee: loewis
nosy: + loewis
2008-08-30 15:14:48_doublepcreate